import { Request, Response } from 'express';
import { UpdateCompanyInfoDto, UpdateLeavePolicyDto, UpdateWorkScheduleDto, UpdateAttendanceValidationSettingsDto } from './configurations.dto';
import { ConfigurationsService } from './configurations.service';
export declare class ConfigurationsController {
    private readonly configurationsService;
    constructor(configurationsService: ConfigurationsService);
    createDefaultConfiguration(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getCompanyInfo(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getWorkSchedule(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getLeavePolicy(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateCompanyInfo(id: string, owner_id: string, data: UpdateCompanyInfoDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateWorkSchedule(id: string, owner_id: string, data: UpdateWorkScheduleDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateLeavePolicy(id: string, owner_id: string, data: UpdateLeavePolicyDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getWorkDaySchedules(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateWorkDaySchedules(owner_id: string, body: any, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAttendanceValidationSettings(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateAttendanceValidationSettings(owner_id: string, body: UpdateAttendanceValidationSettingsDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
